Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 158176 - Rewrite java to use the new Indexing API
Rewrite java to use the new Indexing API
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Dusan Balek
issues@java
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 08:16 UTC by Jaroslav Tulach
Modified: 2009-03-25 14:57 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2009-02-09 08:16:04 UTC
This is an issue to track progress of implementing Perf #8 requirement from 
http://wiki.netbeans.org/ParsingAPIRequirements
The #8 requirement is essential for improving user experience with GoTo Type, GoTo File, after start. 

Recent info from Tomáš Zezula says that this is already implemented in the new Parsing API and as soon as Java is 
rewritten to use the new Parsing and Indexing API, this issue will be fixed. So this issue is here more for tracking 
purposes than to require anything new.
Comment 1 Vitezslav Stejskal 2009-02-13 11:05:59 UTC
Again, I'm making this a TASK. Dusan is the one who won the lotto and will be implementing it. Regarding the Perf #8
requirment, yes the new indexing API fulfills this requirement. The indexes are only locked when accessed and it does
not matter by whom (eg. a client trying to find something in the index or an indexer storing data to it). Therefore it
is possible to access indexes even during the initial scan. And as you said when java is rewritten to use the new API it
will benefit from this as well.
Comment 2 Petr Jiricka 2009-03-25 13:02:57 UTC
Isn't this done now?
Comment 3 Dusan Balek 2009-03-25 14:57:04 UTC
Done.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo